Update a site
PATCH
/sites/{api_name}/
Update a site. Metadata-only changes (for example name or logo) do not require a staged file.
To replace the site bundle:
- Get a presign:
POST /sites/upload-batches/presign/withfile_intents(client_refcan be any unique id;file_nameis the asset basename). - Upload bytes to S3 using
files[].upload_urlandfiles[].upload_fieldsfrom the presign response (seePOST /sites/upload-batches/presign/). - Update the site:
PATCH /sites/{api_name}/withapplication/jsonincluding the returnedfile_id.
Required Scopes
- sites.read-write
Request
Path Parameters
api_name stringrequired
The unique api_name of the site.
Example: employee_portal
Responses
- 200
Successful response
Loading...